]> git.armaanb.net Git - etc.git/commitdiff
Initial commit
authorArmaan Bhojwani <me@armaanb.net>
Thu, 8 Jul 2021 03:03:13 +0000 (23:03 -0400)
committerArmaan Bhojwani <me@armaanb.net>
Thu, 8 Jul 2021 04:13:08 +0000 (00:13 -0400)
LICENSE [new file with mode: 0644]
README [new file with mode: 0644]
etc/acpi/actions/lid.sh [new file with mode: 0755]
etc/acpi/events/bar [new file with mode: 0644]
etc/acpi/events/lid [new file with mode: 0644]
etc/doas.conf [new file with mode: 0644]
etc/inittab [new file with mode: 0644]
etc/profile [new file with mode: 0644]
etc/wpa_supplicant.conf [new file with mode: 0644]

diff --git a/LICENSE b/LICENSE
new file mode 100644 (file)
index 0000000..95b8a53
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,19 @@
+Copyright © 2021 Armaan Bhojwani
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the "Software"),
+to deal in the Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute, sublicense,
+and/or sell copies of the Software, and to permit persons to whom the
+Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included
+in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
+DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
+OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
diff --git a/README b/README
new file mode 100644 (file)
index 0000000..f7d70c5
--- /dev/null
+++ b/README
@@ -0,0 +1 @@
+Some notable files from my /etc
\ No newline at end of file
diff --git a/etc/acpi/actions/lid.sh b/etc/acpi/actions/lid.sh
new file mode 100755 (executable)
index 0000000..4aaf322
--- /dev/null
@@ -0,0 +1,4 @@
+#!/usr/bin/sh
+
+grep -q close /proc/acpi/button/lid/*/state
+[ $? = 0 ] && zzz
diff --git a/etc/acpi/events/bar b/etc/acpi/events/bar
new file mode 100644 (file)
index 0000000..5e77a19
--- /dev/null
@@ -0,0 +1,2 @@
+event=ac_adapter*
+action=pkill -RTMIN+9 dwmblocks
diff --git a/etc/acpi/events/lid b/etc/acpi/events/lid
new file mode 100644 (file)
index 0000000..cd6411c
--- /dev/null
@@ -0,0 +1,2 @@
+event=button/lid
+action=/etc/acpi/actions/lid.sh
diff --git a/etc/doas.conf b/etc/doas.conf
new file mode 100644 (file)
index 0000000..9207036
--- /dev/null
@@ -0,0 +1,39 @@
+# Set rules here.
+# Priority increases with linenumber.
+# See doas.conf(5) for details.
+
+# permit persist :wheel
+# permit nopass root
+
+# This config file isn't very powerful at all compared to
+# the likes of sudo's. It's very difficult to tell it that
+# we want to permit running the package manager and package
+# manager alone (hence the 'git'/'env' listings).
+#
+# Further, the 'persist' feature is too strict and will beg
+# you for a password every time 'doas' is run from a script`.
+# Despite sudo's complexity, I recommened it over doas for
+# better control.
+#
+# I'm working on a better overall solution.
+
+# Allow wheel to run kiss with password required.
+# permit persist :wheel cmd env
+# permit persist :wheel cmd git args fetch
+# permit persist :wheel cmd git args diff
+# permit persist :wheel cmd git args merge
+
+# Allow wheel to run kiss without a password.
+# permit nopass :wheel cmd env
+# permit nopass :wheel cmd git args fetch
+# permit nopass :wheel cmd git args diff
+# permit nopass :wheel cmd git args merge
+
+permit persist keepenv insult :wheel
+permit nopass :wheel cmd kiss
+permit nopass :wheel cmd reboot
+permit nopass :wheel cmd poweroff
+permit nopass :wheel cmd zzz
+permit nopass root as armaa cmd slock
+permit nopass keepenv root as root
+
diff --git a/etc/inittab b/etc/inittab
new file mode 100644 (file)
index 0000000..6fbc6e3
--- /dev/null
@@ -0,0 +1,11 @@
+::sysinit:/lib/init/rc.boot
+::restart:/sbin/init
+::shutdown:/lib/init/rc.shutdown
+::respawn:runsvdir -P /var/service 'log: ................................................................................................................................................................................................................................................................'
+
+tty1::respawn:/bin/getty 38400 tty1
+tty2::respawn:/bin/getty 38400 tty2
+
+::once:/usr/bin/alsactl restore
+::once:/usr/bin/chmod -R 0777 /dev/video0 /dev/video1 /dev/snd/
+# ::shutdown:/bin/umount -a -r
diff --git a/etc/profile b/etc/profile
new file mode 100644 (file)
index 0000000..dd3dfb0
--- /dev/null
@@ -0,0 +1,19 @@
+# /etc/profile
+#
+# System wide environment and startup programs.
+
+# Set default path (/usr/sbin:/sbin:/bin included for non-KISS Linux chroots).
+export PATH=/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/sbin:/bin
+
+# Set default umask.
+umask 022
+
+# Load profiles from /etc/profile.d
+for file in /etc/profile.d/*.sh; do
+    [ -r "$file" ] && . "$file"
+done
+
+unset file
+
+export ENV="$HOME/.config/ash/ashrc"
+export HISTFILE="$HOME/.local/state/ash/history"
\ No newline at end of file
diff --git a/etc/wpa_supplicant.conf b/etc/wpa_supplicant.conf
new file mode 100644 (file)
index 0000000..e64112c
--- /dev/null
@@ -0,0 +1,6 @@
+network={
+       ssid="ADLittle"
+       psk=3b7abef5d1ba517f841c097652eac27d2f41eae2ae5741a14c85fe1f84584bf9
+}
+
+ctrl_interface=wlan0